Package uk.ac.starlink.topcat.activate

## Interface Activator

- All Known Implementing Classes:
    `SkyPosConfigurator.SkyPosActivator`, `UrlColumnConfigurator.LocationColumnActivator`, `UrlColumnConfigurator.UrlColumnActivator`

      public interface Activator

  Defines an action to be performed on rows of a known table.
  Since:
    10 Aug 2004
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Outcome` | `activateRow​(long lrow, ActivationMeta meta)` | Invokes some kind of action on the table row indicated by a given index.
    `boolean` | `invokeOnEdt()` | Indicates how this activator's `activateRow` method should be executed.

- - ### Method Detail

    - #### invokeOnEdt

          boolean invokeOnEdt()

      Indicates how this activator's `activateRow` method should be executed. If true, it is intended to be invoked synchronously on the Event Dispatch Thread. If false, it is intended to be invoked asynchronously on some less time-critical thread. False should be returned if this activator may be time-consuming.
      Returns:
        true if it is a good idea to invoke this activator on the EDT

    - #### activateRow

          Outcome activateRow​(long lrow,
                              ActivationMeta meta)

      Invokes some kind of action on the table row indicated by a given index.

      Note that the row index supplied is that from the TopcatModel's DataModel, not the Apparent Table, so that remapping the row index according to any current row sorting has already been applied. Possibly that's not the way it should have been done, and it may be desirable to change that in future, but at time of writing that's the way it is.

      Parameters:
        `lrow` - row index
        `meta` - additional activation metadata if available; may be null if no special information is available
      Returns:
        outcome